import request from '@/utils/request'

// 查询算法输入输出字段列表
export function listField(query) {
  return request({
    url: '/conf/field/list',
    method: 'get',
    params: query
  })
}

// 查询算法输入输出字段详细
export function getField(id) {
  return request({
    url: '/conf/field/' + id,
    method: 'get'
  })
}

// 新增算法输入输出字段
export function addField(data) {
  return request({
    url: '/conf/field',
    method: 'post',
    data: data
  })
}

// 修改算法输入输出字段
export function updateField(data) {
  return request({
    url: '/conf/field',
    method: 'put',
    data: data
  })
}

// 删除算法输入输出字段
export function delField(id) {
  return request({
    url: '/conf/field/' + id,
    method: 'delete'
  })
}

// 查询具体算法输入输出字段列表
export function getIoSubList(subTypeId, algoId) {
  return request({
    url: '/conf/field/getIoSubList/' + subTypeId + '/'+ algoId,
    method: 'get',
  })
}